/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
#ifndef INC_EXCEPTION_H
#include "exception.h"
#define INC_EXCEPTION_H
#endif


Exception::Exception(const QString msg){
    fMsg = msg;
    fMethod = "";
}

Exception::Exception(const QString method, const QString msg){
    fMsg = msg;
    fMethod = method;
}

Exception::~Exception(){
}

QString Exception::msg() {
    QString tmp = "";
    if (fMethod != "") {
	tmp = "Method: '" + fMethod + "'\n";
    }
    tmp += "Message: " + fMsg + "\n";
    return tmp;
}

QString Exception::method() {
    return fMethod;
}
