/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_DOMOGLOBALS_H
#include "domoglobals.h"
#define INC_DOMOGLOBALS_H
#endif

void SetupDialogBase::init() {
   addDir->disableDirs();
   exportDir->disableDirs();
   cdromDir->disableDirs();
   QString header = "<center><h2><u><font color=\"#0000ff\">Welcome to DOMO v" + DomoGlobals::DOMO_VERSION 
		    + " - a <b>GoriTech</b> Production <u></font></h2></center>";
   heading->setText(header);
    QWidget* w = QWizard::page(1);
    setNextEnabled(w,false);
    w = QWizard::page(4);
    setFinishEnabled( w, true );

}

void SetupDialogBase::createNewAccount()
{

}


void SetupDialogBase::checkPwd( const QString & s ) {
    QString tmp = s;
}

void SetupDialogBase::acceptLicense( bool b ) {
    QWidget* w = QWizard::page(1);
    setNextEnabled(w,b);
}

